uuid: e07f0fc7-0cb1-4fca-a8ec-6ef418b772b5
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_mainstage_slide_video
    - node.type.slide
id: node.slide.field_mainstage_slide_video
field_name: field_mainstage_slide_video
entity_type: node
bundle: slide
label: 'Mainstage slide video'
description: "Embed iframe. <br> If left blank the slide image will be used.<br>\r\nIf this slide is the first in order of the mainstage carousel, please set autoplay=1.\r\nFor responsive and full width video, please use the following attributes in the iframe: \r\nautoplay=0,\r\nloop=1,\r\ntitle=0,\r\nbyline=0,\r\nportrait=0,\r\n$autopause=0,\r\nbackground=1,\r\nallow=\"autoplay\",\r\nframeborder=\"0\",\r\nwebkitallowfullscreen,\r\nmozallowfullscreen .\r\n<br>\r\nFor adding speaker button, please set ID for an iframe and put it into 2 divs with the IDs that we have in the example below (video-embed-1, vi-video-1-container). If you have 2 video slides than ID-s numeric part  should be increased by 1 (video-embed-2 etc.)\r\n&lt; div id=\"video-embed-1\"&gt;\r\n&lt;div id=\"vi-video-1-container\" data-video-is-playing=\"true\" data-audio-volume=\"1\"&gt\r\nExample: &lt; iframe  src=\"https://player.vimeo.com/video/315565294?autoplay=0&loop=1&title=0&byline=0&portrait=0$autopause=0&background=\"1\" id=\"vi-banner-video-1\" allow=\"autoplay\"  frameborder=\"0\" webkitallowfullscreen mozallowfullscreen allowfullscreen&gt;&lt;/iframe&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;"
required: false
translatable: false
default_value: {  }
default_value_callback: ''
settings: {  }
field_type: string_long
